%% Hysteresis model after Takacs
% Fit function for static function

% Mathias Lindner
% March 2014

%%
function [F, Jacobian] = fit_static(par_s, H, J, weight)
	% apply static funtion
	if nargout==2
		% return also Jacobian matrix
		[J_fit, Jacobian] = func_static(par_s, H);
		% and weighten it
		Jacobian = (ones(size(Jacobian,2),1)*weight)' .* Jacobian;
	else
		J_fit = func_static(par_s, H);
	end


	% calc error, weighten maximum regions
	F = weight .* (J_fit - J);


	%Res und Grad (falls solver fmincon)
% 		if nargout==2
% 			Jacobian = Jacobian' * F';
% 		end
% 		F = 0.5 * norm(F)^2;
end


