%% Hysteresis model after Takacs and Meszaros
% Main file

% Mathias Lindner
% March 2014



clear;
clc;
%close all;
	
	

%% Read measurement data and condition it
% 	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/IBN120216_PCB_', 1, true, ...
% 		24, 96, 24*0.00035*0.005, 0.613, 100);
% 	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/IBN120809_100Hz_', 1, false, ...
% 		96, 120, 20*0.00035*0.005, 0.613, 1);
% 	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/IBN121015_', 1, false, ...
% 		96, 120, 20*0.00035*0.005, 0.613, 1);
% 	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/IBN130207_50Hz_', 1, false, ...
% 		48, 120, 20*0.00035*0.005, 0.613, 1);
% 	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/IBN130207_500Hz_', 1, false, ...
% 		48, 120, 20*0.00035*0.005, 0.613, 1);
% 	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/isovac270-35A_Voestalpine_200_190_rescho_1800_data_', 1, false, ...
% 		48, 120, 20*0.00035*0.005, 0.613, 1);
% 	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/M270-35A_Thyssen_200_190_Ringe_rescho_1900_data_', 1, false, ...
% 		48, 120, 20*0.00035*0.005, 0.613, 1);
% 	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/isovac270-35A_Voestalpine_200_190_IBN_data_', 1, false, ...
% 		48, 120, 20*0.00035*0.005, 0.613, 1);
% 	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/isovac270-35A_Voestalpine_200_190_Demo_data_', 1, false, ...
% 		48, 120, 20*0.00035*0.005, 0.613, 1);
	[h, b, field_up, b_max, b_min] = data_in('./Messdaten/Printed_FeSi_P1_131114_ReglerIBN_data_', 1, false, ...
		54, 21, 15*0.0006*0.00425, 0.103887, 1);


tic

%% Preprocessing
main_prep;


%% Fit hysteresis model
main_global;
main_local;

%% Display results
main_post;

	
toc

resnorm_h_c